Last Comment Bug 183722 - missing hotsync log entry on both PC and Palm to indicate Mozilla Address Book Sync
: missing hotsync log entry on both PC and Palm to indicate Mozilla Address Boo...
Status: RESOLVED FIXED
: fixed1.8.1.4
Product: MailNews Core Graveyard
Classification: Graveyard
Component: Palm Sync (show other bugs)
: Trunk
: All All
: -- major with 1 vote (vote)
: ---
Assigned To: Wayne Mery (:wsmwk, NI for questions)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-05 06:58 PST by Stew Feuerstein
Modified: 2009-06-04 02:14 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Draft, not a patch yet. (1.74 KB, patch)
2003-05-13 14:41 PDT, Cavin Song
no flags Details | Diff | Splinter Review
Draft, not a patch yet. (2.00 KB, patch)
2003-05-13 15:58 PDT, Cavin Song
no flags Details | Diff | Splinter Review
Add HSM log entry v1 (2.14 KB, patch)
2007-03-09 16:30 PST, Wayne Mery (:wsmwk, NI for questions)
no flags Details | Diff | Splinter Review
Add HSM log entry v2 (2.06 KB, patch)
2007-03-12 17:43 PDT, Wayne Mery (:wsmwk, NI for questions)
no flags Details | Diff | Splinter Review
Add HSM log entry v3 (contains bad file name) (2.95 KB, patch)
2007-04-01 22:09 PDT, Wayne Mery (:wsmwk, NI for questions)
no flags Details | Diff | Splinter Review
Add HSM log entry v3 (2.94 KB, patch)
2007-04-02 05:29 PDT, Wayne Mery (:wsmwk, NI for questions)
no flags Details | Diff | Splinter Review
Add HSM log entry v4 (5.38 KB, patch)
2007-04-10 21:01 PDT, Wayne Mery (:wsmwk, NI for questions)
mozilla: review+
mozilla: superreview+
Details | Diff | Splinter Review

Description Stew Feuerstein 2002-12-05 06:58:57 PST
User-Agent:       Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.2.1) Gecko/20021130
Build Identifier: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.2.1) Gecko/20021130

I finally got Address Sync to work, after updating the registry.  I am using
Palm Hotsync 4.1 .  After hot synching if you click on 'view log' either on the
palm or in the Hotsync PC software, there is no indication that a Mozilla
Address Book hotsync occured.  Other conduits put a message in both like
Avantgo's 'OK Mobile Application Link' or Palm's 'OK Notepad'.

Reproducible: Always

Steps to Reproduce:
1.  Hotsync
2.  Click on 'log' radio button on Palm or right click on Hotsync Icon in PC
system tray and select 'view log'.


Actual Results:  
Only messages from other conduits.

Expected Results:  
added a message to the log similar to:
OK Mozilla Address Book
Comment 1 Brian Atkins 2003-01-06 13:19:38 PST
I can confirm this as well.  Although the Palm (Handspring Visor in
my case) reports the synchronization on the screen, there is no
report in the log.
Comment 2 Ninoschka Baca 2003-01-21 18:10:19 PST
Nominating because viewing a HotSync Log and expecting the Mozilla Address Book
to be listed is expected.
Comment 3 Samir Gehani 2003-02-07 11:32:42 PST
Mail triage team: nsbeta1+/adt3
Comment 4 Samir Gehani 2003-02-07 11:34:10 PST
-> cavin
Comment 5 Cavin Song 2003-05-13 14:41:08 PDT
Created attachment 123186 [details] [diff] [review]
Draft, not a patch yet.

It creates the following entry in the PC HotSync manager's log (ie, click 'View
Log' to see the log):

   OK MozABConduit

Right now GetConduitName() returns a hard coded name "MozABConduit", so still
need to fix this. Also need to figure out how to add a log entry to the
handheld side.
Comment 6 Cavin Song 2003-05-13 15:58:17 PDT
Created attachment 123198 [details] [diff] [review]
Draft, not a patch yet.

This one creates log entries on the handheld as well. Still need to resolve a
better conduit name.
Comment 7 Wayne Mery (:wsmwk, NI for questions) 2005-10-07 07:23:26 PDT
is the patch still valid?
Comment 8 post 2005-10-07 18:29:11 PDT
Concerning hotsync address base I can confirm the bug - there is no 
confirmation of the hot sync process in the log (f.example "OK mozilla address 
book") - it does not appear in the log.

(Palm 5, W2k SP4/ 5 ...)
Comment 9 post 2005-10-07 18:30:36 PDT
I can confirm this bug ;-( ; about 30 entries are missing, too.
Comment 10 post 2005-10-07 18:31:28 PDT
I can confirm this bug ;-( ; about 30 entries are missing, too.
(Palm 5, W2k SP4/5...)
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2005-10-12 05:18:52 PDT
Example log...

HotSync operation started 10/12/05 07:51:28
OK Install
OK Date Book
OK To Do List
OK Memo Pad
OK Expense
[we should see "OK Mozilla Address Book"]
...
OK System
HotSync operation complete 10/12/05 07:54:37
Comment 12 Wayne Mery (:wsmwk, NI for questions) 2005-10-12 05:33:19 PDT
Comment on attachment 123198 [details] [diff] [review]
Draft, not a patch yet.

David, looks good except need better conduit name for the log as noted in
comments 6 & 7. what do you think?  Note patch is is for the hotsync log, not
the optional PC conduit log.
Comment 13 David :Bienvenu 2005-11-30 10:06:56 PST
Comment on attachment 123198 [details] [diff] [review]
Draft, not a patch yet.

I'll try this out. Thx for the patch.
Comment 14 Wayne Mery (:wsmwk, NI for questions) 2006-02-08 19:46:29 PST
(In reply to comment #13)
> (From update of attachment 123198 [details] [diff] [review] [edit])
> I'll try this out. Thx for the patch.

David, can we land the patch and get it tested?
Then do a second patch to improve the name (eg "Mozilla Address Book").
Comment 15 Wayne Mery (:wsmwk, NI for questions) 2007-01-02 19:23:54 PST
(In reply to comment #13)
> (From update of attachment 123198 [details] [diff] [review])
> I'll try this out. Thx for the patch.

David, can you hook me up with an extension built against TB 2.0 with this patch?
Comment 16 David :Bienvenu 2007-01-04 08:04:31 PST
I don't think I'm set up to build the extension anymore - I don't have the latest palm SDK (though I'm not sure that's required or not...)
Comment 17 Wayne Mery (:wsmwk, NI for questions) 2007-03-09 15:45:07 PST
Comment on attachment 123198 [details] [diff] [review]
Draft, not a patch yet.

obsolete - might have been good 11 versions ago

interesting find - according to palm conduit documentation "Note that HotSync Manager automatically logs the general success or failure status of your conduit; therefore you need not add an entry for this purpose."

Don't know if that's true and if so why it's not doing that. Anyway, revised patch coming up.
Comment 18 Wayne Mery (:wsmwk, NI for questions) 2007-03-09 16:30:59 PST
Created attachment 258069 [details] [diff] [review]
Add HSM log entry v1

Includes flag to HSM that conduit is finished syncing.
Comment 19 Wayne Mery (:wsmwk, NI for questions) 2007-03-10 07:04:52 PST
David, is the build system still using CDK 4.03? Or is it the newer 6.01?
Comment 20 David :Bienvenu 2007-03-10 07:19:13 PST
4.03 - I couldn't get the conduit to compile with 6.01, at least on the 2.0 branch.
Comment 21 Wayne Mery (:wsmwk, NI for questions) 2007-03-12 17:43:34 PDT
Created attachment 258366 [details] [diff] [review]
Add HSM log entry v2

David here's v2 for respin of extension
Comment 22 Wayne Mery (:wsmwk, NI for questions) 2007-04-01 22:09:20 PDT
Created attachment 260316 [details] [diff] [review]
Add HSM log entry v3 (contains bad file name)

logs to HSM (and conduit log) at beginning and end of sync.

for slSyncFinished I removed "without errors" from the message because I'm not convinced yet that retval=0 can be completely trusted to indicate the sync finished without error.

David, please e-mail me the resulting XPI. Thanks.
Comment 23 Wayne Mery (:wsmwk, NI for questions) 2007-04-02 05:29:46 PDT
Created attachment 260334 [details] [diff] [review]
Add HSM log entry v3

fix file name in patch
Comment 24 Wayne Mery (:wsmwk, NI for questions) 2007-04-10 21:01:09 PDT
Created attachment 261210 [details] [diff] [review]
Add HSM log entry v4

move start and end log entries to more completely bracket the code. add new line on starting entry. That should do it.
Comment 25 Wayne Mery (:wsmwk, NI for questions) 2007-04-20 11:47:19 PDT
David, please commit patch v4 to trunk and branch. Thanks
Comment 26 Wayne Mery (:wsmwk, NI for questions) 2007-04-20 13:28:36 PDT
Comment on attachment 261210 [details] [diff] [review]
Add HSM log entry v4

desired on branch to improve debugging of palmsync conduit starting with TB 2.
Comment 27 Daniel Veditz [:dveditz] 2007-04-23 10:29:31 PDT
Comment on attachment 261210 [details] [diff] [review]
Add HSM log entry v4

Please get reviews before requesting branch approval.
Comment 28 Wayne Mery (:wsmwk, NI for questions) 2007-04-27 05:55:34 PDT
attachment 261210 [details] [diff] [review] patch worked without problems for at least three testers. 
Comment 29 David :Bienvenu 2007-04-27 08:18:19 PDT
Comment on attachment 261210 [details] [diff] [review]
Add HSM log entry v4

fix checked into the trunk and 2.0 branch, thx, Wayne!
Comment 30 David :Bienvenu 2007-04-27 08:19:39 PDT
marking fixed, and adding keyword (even though it's not really part of the build)
Comment 31 Wayne Mery (:wsmwk, NI for questions) 2007-04-27 11:00:33 PDT
wanted on branch to issue updated palmsync extension conduit for TB 2.  Only affects conduit modules. Does not touch thunderbird or core modules.
Comment 32 David :Bienvenu 2007-04-27 11:01:45 PDT
clearing blocking request - I already landed this on the branch, since it's not part of the build.

Note You need to log in before you can comment on or make changes to this bug.